Subject: Re: How to Import a bitkeeper repo into git

From: Jan Hudec <[email-masked]>
Date: Tue, 16 Oct 2007 21:15:49 +0200

On Mon, Oct 15, 2007 at 17:45:44 -0700, Linus Torvalds wrote:
> I don't actually know of any sane programs to view unified diffs, but you 
> can script one with little trouble. Here's a really hacky one I just came 
> up with:
> 
> 	#!/bin/sh
> 	cat "$@" > /tmp/diff
> 	grep '^[ -]' /tmp/diff > /tmp/orig
> 	grep '^[ +]' /tmp/diff > /tmp/result
> 	meld /tmp/orig /tmp/result
> 
> which fools 'meld' into showing a unified diff in a nice graphical manner.
> 
> [ Quite frankly, I don't understand why tools like meld and kdiff3 can't 
>   just take the unified diff directly - they have *all* the logic, it 
>   should be trivial to do, and very useful to view diffs for those people 
>   who like that graphical bling. ]

Kompare (KDE analog of meld) can. It is even bound to text/x-diff in
konqueror, so opening patches with konqueror yields side-by-side diff view.
On the other hand it still keeps a unixy behaviour:
 git diff | kompare -
works.

-- 
						 Jan 'Bulb' Hudec <[email-masked]>